Subject: Re: bug#30437: closed (Re: bug#30437: No “.guix-profile/bin/python” after ‘guix package -i python’)

From: Mathieu Lirzin <[email-masked]>
Date: Mon, 12 Feb 2018 20:55:54 +0100

[email-masked] (GNU bug Tracking System) writes:

> From: Ricardo Wurmus <[email-masked]>
> Subject: Re: bug#30437: No “.guix-profile/bin/python” after ‘guix package -i python’
> To: [email-masked]
> Date: Mon, 12 Feb 2018 20:00:57 +0100 (38 minutes, 1 second ago)
> User-agent: mu4e 0.9.18; emacs 25.3.1
>
>
> Efraim Flashner <[email-masked]> writes:
>
>> On Mon, Feb 12, 2018 at 06:23:07PM +0100, Danny Milosavljevic wrote:
>>> Hi Mathieu,
>>> 
>>> On Mon, 12 Feb 2018 17:52:41 +0100
>>> Mathieu Lirzin <[email-masked]> wrote:
>>> 
>>> > I think it would work better if when installing python@3, a ‘python’
>>> > executable would be available in the PATH.  Maybe there is a technical
>>> > reason for not doing so, but I find its absence rather confusing.
>>> 
>>> For backward compatibility, the 'python' executable always has to be Python 2.
>>> 
>>> A lot of old scripts specify just "/usr/bin/env python" in the shebang.
>>> 
>>> On the other hand if your script supports Python 3 you know it.
>>> 
>>
>> We do also have the 'python-wrapper' package which uses python3 as
>> python

It is nice to have a ‘python-wrapper’ package as a workaround, but this
doesn't explain why the ‘python’ package shouldn't do it automatically.
Doing so would be far more convenient for casual users.

> Closing because it’s not a bug.

IMHO that was a bit quick to close.  I still consider this as a wishlist
bug.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37